Skip to main content
GET
/
v2
/
event-types
/
{eventTypeId}
/
history
Get event type history
curl --request GET \
  --url https://api.cal.com/v2/event-types/{eventTypeId}/history \
  --header 'Authorization: <authorization>' \
  --header 'cal-api-version: <cal-api-version>'
{
  "status": "success",
  "data": {
    "eventTypeId": 123,
    "auditLogs": [
      {
        "id": "018f4c2e-3f1a-7abc-9def-0123456789ab",
        "action": "EVENT_TYPE_MODIFIED",
        "type": "RECORD_MODIFIED",
        "timestamp": "2026-01-01T00:00:00.000Z",
        "source": "WEBAPP",
        "actor": {
          "type": "USER",
          "displayName": "Ada Lovelace",
          "displayEmail": "ada@example.com",
          "displayAvatar": "https://example.com/avatar.png"
        },
        "impersonatedBy": {
          "displayName": "Grace Hopper",
          "displayEmail": "grace@example.com",
          "displayAvatar": "https://example.com/avatar.png"
        },
        "actionDisplayTitle": "Ada Lovelace modified the event type",
        "displayFields": [
          {
            "label": "Duration",
            "fieldValue": {
              "type": "rawValue",
              "value": "enabled"
            }
          }
        ],
        "displayJson": {},
        "hasError": false
      }
    ]
  },
  "pagination": {
    "nextCursor": "eyJjcmVhdGVkQXQiOiIyMDI2LTAxLTAxVDAwOjAwOjAwLjAwMFoiLCJpZCI6IjAxSFgifQ",
    "hasMore": false
  }
}

Headers

cal-api-version
string
default:2024-06-14
required

Must be set to 2024-06-14. If not set to this value, the endpoint will default to an older version.

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

eventTypeId
number
required

Query Parameters

limit
number

The number of audit logs to return. Defaults to 25 and cannot exceed 50.

Required range: 1 <= x <= 50
Example:

25

cursor
string

Cursor from the previous response. Pass pagination.nextCursor to fetch the next page of audit logs.

Example:

"eyJjcmVhdGVkQXQiOiIyMDI2LTAxLTAxVDAwOjAwOjAwLjAwMFoiLCJpZCI6IjAxSFgifQ"

Response

200 - application/json
status
enum<string>
required

Indicates whether the request was successful.

Available options:
success,
error
Example:

"success"

data
object
required

The event type history data including audit log entries.

pagination
object
required

Pagination metadata for fetching additional pages.